apiVersion: apps/v1
kind: Deployment
metadata:
    name: patricianovaesapp-deployment
    labels:
        app: patricianovaesapp
spec:
    template:
        metadata:
            name: patricia-novaes-pod
            labels:
                app: patricianovaesapp
        spec:
            containers:
                - name: patricianovaesapp
                  image: registry-itau.mastertech.com.br/patricia-novaes-app-investimentos
                  ports:
                     - containerPort: 8080
            imagePullSecrets:
                - name: regcred
    replicas: 1
    selector:
        matchLabels:
            app: patricianovaesapp
